Skip to main content
PUT
/
cards
/
{cardPublicId}
/
labels
/
{labelPublicId}
Add or remove a label from a card
curl --request PUT \
  --url https://kan.bn/api/v1/cards/{cardPublicId}/labels/{labelPublicId} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://kan.bn/api/v1/cards/{cardPublicId}/labels/{labelPublicId}"

headers = {"Authorization": "Bearer <token>"}

response = requests.put(url, headers=headers)

print(response.text)
const options = {method: 'PUT', headers: {Authorization: 'Bearer <token>'}};

fetch('https://kan.bn/api/v1/cards/{cardPublicId}/labels/{labelPublicId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "newLabel": true
}
{
"code": "BAD_REQUEST",
"message": "Invalid input data",
"issues": []
}
{
"code": "UNAUTHORIZED",
"message": "Authorization not provided",
"issues": []
}
{
"code": "FORBIDDEN",
"message": "Insufficient access",
"issues": []
}
{
"code": "NOT_FOUND",
"message": "Not found",
"issues": []
}
{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error",
"issues": []
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

cardPublicId
string
required
Minimum string length: 12
labelPublicId
string
required
Minimum string length: 12

Response

Successful response

newLabel
boolean
required